Bug 1327635 - Review Request: openstack-congress - OpenStack Congress Service
Summary: Review Request: openstack-congress - OpenStack Congress Service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: All
OS: Linux
medium
medium
Target Milestone: GA
: trunk
Assignee: Javier Peña
QA Contact: Javier Peña
URL:
Whiteboard:
Depends On: 1418855
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-04-15 14:13 UTC by Marcos
Modified: 2017-02-08 17:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-08 17:27:30 UTC
jpena: rdo-review+


Attachments (Terms of Use)

Description Marcos 2016-04-15 14:13:31 UTC
Spec URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-congress/3.0.0/openstack-congress.spec
SRPM URL: http://mferminl.web.cern.ch/mferminl/fedorapkg/openstack-congress/3.0.0/openstack-congress-3.0.0-1.fc25.src.rpm
Description: OpenStack Congress Service is an open policy framework for OpenStack
Fedora Account System Username:mflobo

Comment 1 Marcos 2016-04-15 14:16:01 UTC
There is not successful scratch because python-olso-config version. See here http://koji.fedoraproject.org/koji/taskinfo?taskID=13670962

Comment 2 Marcos 2016-05-10 08:53:53 UTC
Problem with python-oslo-config was solved. Now, the unsuccessful scratch is due to "Sorry: TabError: inconsistent use of tabs and spaces in indentation"

http://koji.fedoraproject.org/koji/taskinfo?taskID=13992067 -> build.log

Comment 3 Javier Peña 2016-09-01 15:09:46 UTC
I'm changing the product to RDO. We are not packaging services in Fedora directly, but as part of the RDO project.

Comment 4 Javier Peña 2016-09-01 15:27:29 UTC
Hi Marcos,

Sorry for the delayed review. I have some comments about the spec:

- We have not started creating Python3 subpackages for services yet. If Congress is Python3-compatible, I think it's ok to keep the python3 subpkg in the spec file, but it's not going to be built on CentOS.
- The main package (openstack-congress) should require python-congress, otherwise we'll have to install both manually.
- Please move the python-* requires from the main package to the python2-congress subpackage.
- Some packages (python-oslo-config, python-glanceclient, python-novaclient, python-keystoneclient) have an Epoch, please add it to the version requirement.
- You're missing the %post, %preun and %postun sections for the services. You can use https://github.com/openstack-packages/openstack-example-spec/blob/master/openstack-example.spec#L147-L154 as an example.
- You can use %py2_build, %py2_install and their py3 equivalents instead of a longer command line.

Also, I guess the spec will have to be updated for the Newton release of Congress.

Thanks!

Comment 5 Marcos 2016-09-02 09:08:35 UTC
Hi Javier,

- Removed all the python3 because I'm not sure if Congress supports python3
- I added python-congress to the main package. Should be python2-congress or python-congress?
- How do I know the proper epoch for those packages? In the requirements there is nothing about that https://github.com/openstack/congress/blob/master/requirements.txt
- %post, %preun and %postun sections added. Thanks for the link.
- I replaced by %py2*

Please, check again the SPEC file here:

SPEC file: https://raw.githubusercontent.com/marcosflobo/package_review/master/openstack-congress/3.0.0/openstack-congress.spec

Comment 6 Javier Peña 2016-09-02 09:22:21 UTC
Hi Marcos,

If we don't have a python3 subpackage, I would prefer to use python-congress for the main package.

About the proper epoch, the easiest way would be to query the RDO Trunk repo. Just get delorean.repo from https://trunk.rdoproject.org/centos70/current/delorean.repo into /etc/yum.repos.d, then run:

repoquery -a --nevra --repoid=delorean

That command will show the name, epoch (before the :) and version-release for every package in the repo.

Once you've updated the spec, please provide links to both spec and srpm, that simplifies the job for fedora-review. Thanks!

Comment 7 Marcos 2016-09-02 12:56:26 UTC
Hi Javier,

- I changed it to python-congress
- I added the epoch, please verify. Thanks for your clues

Please, check again the SPEC file and the SRPM

SPEC file: ttps://raw.githubusercontent.com/marcosflobo/package_review/master/openstack-congress/3.0.0/openstack-congress.spec
SRPM: https://github.com/marcosflobo/package_review/raw/master/openstack-congress/3.0.0/openstack-congress-3.0.0-1.fc24.src.rpm

Successful scratch http://koji.fedoraproject.org/koji/taskinfo?taskID=15470144

Thank you

Comment 8 Javier Peña 2016-09-02 16:22:48 UTC
Hi Marcos,

Thanks for the changes. There are some minor changes needed:

- The %post, %preun and %postun sections require a line for the openstack-congress-db-manage.service
- Please include the license in the -doc subpackage. It can be installed independently of openstack-congress and python-congress, thus it should include it.

And some nits:

- The BR for python2-oslo-config does not include the Epoch (the Requires: does)
- In the oslo-config-generator section, the comment mentions Heat

With that, and pending anything from fedora-review, we should be good to go.

Thanks!

Comment 10 Javier Peña 2016-09-05 10:15:07 UTC
Hi Marcos,

fedora-review (see report below) is complaining about a couple items:

- We need to add some Requires for the systemd commands we include in %post and other sections, you can use https://github.com/openstack-packages/openstack-example-spec/blob/master/openstack-example.spec#L30-L33 as an example

- There is a pulp-rpm requirement, which I guess is coming from the usage of a library called PuLP (https://pypi.python.org/pypi/PuLP/1.6.1). I haven't found a package for this, we need to package it.

- Also, I see the spec uses the Mitaka congress version, we should update it to the Newton one (after we get PuLP packaged).

---------------------------------------------------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Binary eggs must be removed in %prep
  Note: Binary egg files not removed in %prep:
  ./thirdparty/antlr3-antlr-3.5/runtime/Python/dist/antlr_python_runtime-3.4-py2.4.egg
  ./thirdparty/antlr3-antlr-3.5/runtime/Python/dist/antlr_python_runtime-3.4-py2.6.egg
  See:
  http://fedoraproject.org/wiki/Packaging:Python#Packaging_eggs_and_setuptools_concerns


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (3 clause)", "MIT/X11 (BSD like)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 542 files have
     unknown license. Detailed output of licensecheck in /tmp/congress
     /review-openstack-congress/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd/system,
     /etc/logrotate.d, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     congress , python-congress-doc
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.20 starting (python version = 3.5.1)...
Start: init plugins
INFO: tmpfs initialized
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: mounting tmpfs at /var/lib/mock/dlrn-centos7-x86_64/root.
INFO: reusing tmpfs at /var/lib/mock/dlrn-centos7-x86_64/root.
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
Mock Version: 1.2.20
INFO: Mock Version: 1.2.20
Finish: chroot init
INFO: installing package(s): /tmp/congress/review-openstack-congress/results/python-congress-3.0.0-1.el7.centos.noarch.rpm /tmp/congress/review-openstack-congress/results/python-congress-doc-3.0.0-1.el7.centos.noarch.rpm /tmp/congress/review-openstack-congress/results/openstack-congress-3.0.0-1.el7.centos.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum-deprecated --installroot /var/lib/mock/dlrn-centos7-x86_64/root/ --releasever 7 install /tmp/congress/review-openstack-congress/results/python-congress-3.0.0-1.el7.centos.noarch.rpm /tmp/congress/review-openstack-congress/results/python-congress-doc-3.0.0-1.el7.centos.noarch.rpm /tmp/congress/review-openstack-congress/results/openstack-congress-3.0.0-1.el7.centos.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: openstack-congress-3.0.0-1.el7.centos.noarch.rpm
          python-congress-3.0.0-1.el7.centos.noarch.rpm
          python-congress-doc-3.0.0-1.el7.centos.noarch.rpm
          openstack-congress-3.0.0-1.el7.centos.src.rpm
openstack-congress.noarch: W: incoherent-version-in-changelog 3.0.0-1 ['3.0.0-1.el7.centos', '3.0.0-1.centos']
openstack-congress.noarch: W: no-documentation
openstack-congress.noarch: W: non-standard-gid /etc/congress/api-paste.ini congress
openstack-congress.noarch: W: non-conffile-in-etc /etc/congress/api-paste.ini
openstack-congress.noarch: W: non-standard-uid /var/log/congress congress
openstack-congress.noarch: W: non-standard-gid /var/log/congress congress
openstack-congress.noarch: E: non-standard-dir-perm /var/log/congress 750
openstack-congress.noarch: W: non-standard-gid /etc/congress congress
openstack-congress.noarch: E: non-standard-dir-perm /etc/congress 750
openstack-congress.noarch: W: non-standard-gid /etc/congress/congress.conf congress
openstack-congress.noarch: W: non-conffile-in-etc /etc/congress/congress.conf
openstack-congress.noarch: W: non-standard-gid /etc/congress/policy.json congress
openstack-congress.noarch: W: non-conffile-in-etc /etc/congress/policy.json
openstack-congress.noarch: W: no-manual-page-for-binary congress-server
openstack-congress.noarch: W: no-manual-page-for-binary congress-db-manage
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/server/congress_server.py 644 /usr/bin/python 
python-congress.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/congress/datasources/neutronv2_driver.py /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/neutronv2_driver.py 644 /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/tests/datalog/builtin/test_builtin.py 644 /usr/bin/python 
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datalog/builtin/congressbuiltin.py 644 /usr/bin/python 
python-congress.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/congress/datasources/cloudfoundryv2_driver.py /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/cloudfoundryv2_driver.py 644 /usr/bin/env python
4 packages and 0 specfiles checked; 9 errors, 13 warnings.




Requires
--------
openstack-congress (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    config(openstack-congress)
    python-congress
    python-congress-doc

python-congress (rpmlib, GLIBC filtered):
    pulp-rpm
    python(abi)
    python-alembic
    python-babel
    python-dateutil
    python-eventlet
    python-paste
    python-paste-deploy
    python-pbr
    python-routes
    python-six
    python-swiftclient
    python-webob
    python2-ceilometerclient
    python2-cinderclient
    python2-glanceclient
    python2-heatclient
    python2-keystoneclient
    python2-keystonemiddleware
    python2-muranoclient
    python2-neutronclient
    python2-novaclient
    python2-oslo-config
    python2-oslo-context
    python2-oslo-db
    python2-oslo-log
    python2-oslo-messaging
    python2-oslo-middleware
    python2-oslo-policy
    python2-oslo-serialization
    python2-oslo-service
    python2-oslo-utils
    python2-oslo-vmware

python-congress-doc (rpmlib, GLIBC filtered):



Provides
--------
openstack-congress:
    config(openstack-congress)
    openstack-congress

python-congress:
    python-congress

python-congress-doc:
    python-congress-doc



Source checksums
----------------
http://tarballs.openstack.org/congress/congress-3.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 24225ac169f55a400f127fb0eb0e9bfa0846198f4a4d965cd81b3883a29fb4d2
  CHECKSUM(SHA256) upstream package : 24225ac169f55a400f127fb0eb0e9bfa0846198f4a4d965cd81b3883a29fb4d2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n openstack-congress -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Haïkel Guémar 2016-12-19 16:55:55 UTC
Review stalled until someone else pick it up

Comment 12 Dan Radez 2016-12-19 17:41:22 UTC
I'll pick this up and move it forward

Comment 13 Alan Pevec (Fedora) 2017-02-03 12:03:54 UTC
Dan, python-PuLP is now available in openstack-common see bug 1418855 for details. You can proceed with this review.

Comment 17 Javier Peña 2017-02-07 22:37:35 UTC
- The SRPM differences with the spec are expected, since it's generated by DLRN. Same goes for the tarball not being downloadable.

The package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "BSD (3 clause)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 388 files have
     unknown license. Detailed output of licensecheck in /tmp/congress
     /review-openstack-congress/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openstack-dashboard, /usr/share
     /openstack-dashboard/openstack_dashboard/local/enabled, /etc
     /openstack-dashboard/enabled, /usr/share/openstack-
     dashboard/openstack_dashboard, /usr/share/openstack-
     dashboard/openstack_dashboard/local, /etc/openstack-dashboard
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openstack-
     dashboard/openstack_dashboard/local/enabled, /usr/share/openstack-
     dashboard/openstack_dashboard/local, /etc/openstack-dashboard/enabled,
     /usr/share/openstack-dashboard/openstack_dashboard, /etc/logrotate.d,
     /usr/share/openstack-dashboard, /etc/openstack-dashboard
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://tarballs.openstack.org/congress/congress-5.0.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     congress , openstack-congress-common , python-congress-tests , python-
     congress-dashboard , python-congress-doc , python-antlr3runtime
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: openstack-congress-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          python-congress-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          openstack-congress-common-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          python-congress-tests-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          python-congress-dashboard-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          python-congress-doc-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          python-antlr3runtime-5.0.0-0.20170207183957.54926c4.el7.centos.noarch.rpm
          openstack-congress-5.0.0-0.20170207183957.54926c4.el7.centos.src.rpm
openstack-congress.noarch: E: no-changelogname-tag
openstack-congress.noarch: W: no-documentation
openstack-congress.noarch: W: no-manual-page-for-binary congress-server
openstack-congress.noarch: W: no-manual-page-for-binary congress-db-manage
python-congress.noarch: E: no-changelogname-tag
python-congress.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/congress/datasources/neutronv2_driver.py /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/neutronv2_driver.py 644 /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/server/congress_server.py 644 /usr/bin/python 
python-congress.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/congress/datasources/cloudfoundryv2_driver.py /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/cloudfoundryv2_driver.py 644 /usr/bin/env python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datalog/builtin.py 644 /usr/bin/python 
openstack-congress-common.noarch: W: summary-not-capitalized C congress common files
openstack-congress-common.noarch: E: no-changelogname-tag
openstack-congress-common.noarch: W: non-standard-gid /etc/congress/congress.conf congress
openstack-congress-common.noarch: E: non-readable /etc/congress/congress.conf 640
openstack-congress-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-congress
openstack-congress-common.noarch: W: non-standard-uid /var/log/congress congress
openstack-congress-common.noarch: E: non-standard-dir-perm /var/log/congress 750
python-congress-tests.noarch: E: no-changelogname-tag
python-congress-tests.noarch: W: no-documentation
python-congress-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/tests/datalog/test_builtin.py 644 /usr/bin/python 
python-congress-dashboard.noarch: E: no-changelogname-tag
python-congress-dashboard.noarch: W: no-documentation
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.pyc
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.pyo
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.pyo
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.pyc
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.pyc
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.pyo
python-congress-doc.noarch: E: no-changelogname-tag
python-congress-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-congress-doc-5.0.0/html/objects.inv
python-congress-doc.noarch: W: file-not-utf8 /usr/share/doc/python-congress-doc-5.0.0/html/objects.inv
python-antlr3runtime.noarch: W: spelling-error Summary(en_US) Antlr -> Antler
python-antlr3runtime.noarch: W: spelling-error %description -l en_US Antlr -> Antler
python-antlr3runtime.noarch: E: no-changelogname-tag
python-antlr3runtime.noarch: W: no-documentation
openstack-congress.src: E: no-changelogname-tag
openstack-congress.src:222: W: macro-in-comment %{buildroot}
openstack-congress.src:222: W: macro-in-comment %{pypi_name}
openstack-congress.src:222: W: macro-in-comment %{buildroot}
openstack-congress.src:222: W: macro-in-comment %{_sysconfdir}
openstack-congress.src:222: W: macro-in-comment %{pypi_name}
openstack-congress.src:223: W: macro-in-comment %{buildroot}
openstack-congress.src:223: W: macro-in-comment %{buildroot}
openstack-congress.src:223: W: macro-in-comment %{_sysconfdir}
openstack-congress.src:249: W: macro-in-comment %check
openstack-congress.src:250: W: macro-in-comment %{__python2}
openstack-congress.src:251: W: macro-in-comment %{with
openstack-congress.src:253: W: macro-in-comment %endif
openstack-congress.src: W: invalid-url Source0: congress-5.0.0.0rc1-0.20170207183957.54926c4.tar.gz
8 packages and 0 specfiles checked; 18 errors, 35 warnings.




Rpmlint (installed packages)
----------------------------
python-congress-dashboard.noarch: E: no-changelogname-tag
python-congress-dashboard.noarch: W: no-documentation
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.pyo
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.pyc
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_60_policies.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.py
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.pyc
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_50_policy.pyo
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.pyo
python-congress-dashboard.noarch: W: non-conffile-in-etc /etc/openstack-dashboard/enabled/_70_datasources.pyc
openstack-congress.noarch: E: no-changelogname-tag
openstack-congress.noarch: W: only-non-binary-in-usr-lib
openstack-congress.noarch: W: no-documentation
openstack-congress.noarch: W: no-manual-page-for-binary congress-db-manage
openstack-congress.noarch: W: no-manual-page-for-binary congress-server
python-congress-tests.noarch: E: no-changelogname-tag
python-congress-tests.noarch: W: no-documentation
python-congress-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/tests/datalog/test_builtin.py 0644L /usr/bin/python
openstack-congress-common.noarch: W: summary-not-capitalized C congress common files
openstack-congress-common.noarch: E: no-changelogname-tag
openstack-congress-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-congress
openstack-congress-common.noarch: W: non-standard-uid /var/log/congress congress
openstack-congress-common.noarch: E: non-standard-dir-perm /var/log/congress 0750L
openstack-congress-common.noarch: W: non-standard-gid /etc/congress/congress.conf congress
openstack-congress-common.noarch: E: non-readable /etc/congress/congress.conf 0640L
python-congress-doc.noarch: E: no-changelogname-tag
python-antlr3runtime.noarch: E: no-changelogname-tag
python-antlr3runtime.noarch: W: no-documentation
python-congress.noarch: E: no-changelogname-tag
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/neutronv2_driver.py 0644L /usr/bin/env
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datasources/cloudfoundryv2_driver.py 0644L /usr/bin/env
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/datalog/builtin.py 0644L /usr/bin/python
python-congress.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/congress/server/congress_server.py 0644L /usr/bin/python
7 packages and 0 specfiles checked; 15 errors, 19 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /tmp/congress/openstack-congress.spec	2017-02-07 23:24:02.774975681 +0100
+++ /tmp/congress/review-openstack-congress/srpm-unpacked/openstack-congress.spec	2017-02-07 19:39:57.000000000 +0100
@@ -1,2 +1,4 @@
+%global dlrn 1
+%define upstream_version 5.0.0.0rc1
 %global pypi_name congress
 
@@ -4,11 +6,11 @@
 
 Name:           openstack-%{pypi_name}
-Version:        5.0.0
-Release:        0.20170207183957.54926c4
+Version: 5.0.0
+Release: 0.20170207183957.54926c4%{?dist}
 Summary:        OpenStack Congress Service
 
 License:        ASL 2.0
 URL:            https://launchpad.net/%{pypi_name}
-Source0:        http://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
+Source0: congress-5.0.0.0rc1-0.20170207183957.54926c4.tar.gz
 Source1:        openstack-congress-server.service
 Source2:        congress.logrotate
@@ -316,4 +318,2 @@
 
 %changelog
-* Thu Jan 12 2017 Dan Radez <dradez@redhat.com> - 5.0.0.0b2-1
-- Initial Packaging


Requires
--------
python-congress-dashboard (rpmlib, GLIBC filtered):
    openstack-dashboard
    python(abi)

openstack-congress (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    openstack-congress-common
    python-antlr3runtime
    python-eventlet
    python-heat-translator
    python-heatclient
    python-neutronclient
    python-oslo-db
    python-oslo-log
    python-oslo-messaging
    python-oslo-policy
    python-oslo-service
    python-oslo-sphinx
    python-paramiko
    python-routes
    python-tosca-parser
    python-webob
    shadow-utils
    systemd

python-congress-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-cliff
    python-congress
    python-coverage
    python-fixtures
    python-hacking
    python-mock
    python-ordereddict
    python-os-testr
    python-oslotest
    python-subunit
    python-tackerclient
    python-tempest
    python-tenacity
    python-testrepository
    python-testtools
    python-webtest

openstack-congress-common (rpmlib, GLIBC filtered):
    /bin/sh
    config(openstack-congress-common)
    python-congress

python-congress-doc (rpmlib, GLIBC filtered):

python-antlr3runtime (rpmlib, GLIBC filtered):
    python(abi)

python-congress (rpmlib, GLIBC filtered):
    python(abi)
    python-PuLP
    python-alembic
    python-babel
    python-ceilometerclient
    python-cinderclient
    python-dateutil
    python-eventlet
    python-glanceclient
    python-heatclient
    python-ironicclient
    python-keystoneauth1
    python-keystoneclient
    python-keystonemiddleware
    python-muranoclient
    python-neutronclient
    python-novaclient
    python-oslo-concurrency
    python-oslo-config
    python-oslo-context
    python-oslo-db
    python-oslo-log
    python-oslo-messaging
    python-oslo-middleware
    python-oslo-policy
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-oslo-vmware
    python-paste
    python-paste-deploy
    python-pbr
    python-routes
    python-six
    python-swiftclient
    python-webob



Provides
--------
python-congress-dashboard:
    python-congress-dashboard

openstack-congress:
    openstack-congress

python-congress-tests:
    python-congress-tests

openstack-congress-common:
    config(openstack-congress-common)
    openstack-congress-common

python-congress-doc:
    python-congress-doc

python-antlr3runtime:
    python-antlr3runtime

python-congress:
    python-congress



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n openstack-congress -m dlrn
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 18 Javier Peña 2017-02-08 17:27:30 UTC
openstack-congress builds are now in the RDO Trunk repos.


Note You need to log in before you can comment on or make changes to this bug.